
import React from 'react';
import Icon from 'react-icon-base';

const SlRefresh = props => (
    <Icon viewBox="0 0 1024 1024" {...props}>
        <g><path transform="scale(1, -1) translate(0, -960)" d="M497.408 61.4404c-0.0800781 0.192383 -0.272461 0.322266 -0.384766 0.482422l-91.9199 143.664c-6.52832 10.7197 -20.6885 14.5273 -31.7285 8.51172l-8.19238 -5.04004c-11.0078 -6 -10.7676 -21.5361 -4.25586 -32.2559l58.9277 -91.4082 c-5.02441 1.10352 -10.0967 2 -15.0566 3.2959c-103.184 26.9922 -190.495 96.832 -239.535 191.6c-46.3359 89.5195 -55.04 191.695 -24.5117 287.743c30.5117 96.0479 99.7754 174.464 189.295 220.784c15.248 7.8877 21.2002 26.6396 13.3125 41.8555 c-7.87207 15.2637 -26.6396 21.2314 -41.8555 13.3271c-104.272 -53.9521 -184.4 -145.28 -219.969 -257.152c-35.5518 -111.856 -25.4238 -230.881 28.5439 -335.137c57.1357 -110.336 158.832 -191.664 279.024 -223.136 c1.36035 -0.351562 2.78418 -0.55957 4.16016 -0.911133l-81.3115 -41.2324c-11.0078 -6.03223 -14.6562 -19.6318 -8.12793 -30.3516l3.15234 -8.17578c6.55957 -10.7197 17.8398 -14.5273 28.8154 -8.51172l148.832 76.208 c0.192383 0.12793 0.384766 0.0957031 0.577148 0.223633l9.98438 5.45605c5.51953 3.02441 9.16797 7.96875 10.624 13.5049c1.51953 5.51953 0.81543 11.6631 -2.44824 16.9912zM913.904 639.187c-57.0557 110.304 -155.586 191.63 -275.762 223.118 c-8.55957 2.24023 -17.3115 3.98438 -26.0479 5.71191l79.8242 40.4805c11.0078 6.03223 17.5674 19.6318 11.0391 30.3682l-3.15234 8.16016c-6.55957 10.7363 -20.752 14.5283 -31.7275 8.52832l-148.816 -76.208 c-0.175781 -0.112305 -0.383789 -0.0800781 -0.576172 -0.208008l-9.96777 -5.47168c-5.53613 -3.04004 -9.16797 -7.96777 -10.624 -13.5039c-1.51953 -5.51953 -0.81543 -11.6475 2.46484 -16.9756l5.91992 -9.71191 c0.0957031 -0.192383 0.271484 -0.304688 0.383789 -0.49707l91.9199 -143.648c6.51172 -10.7363 20.6875 -14.5283 31.7119 -8.5127l7.21582 5.02441c11.0078 6 11.7275 21.5361 5.23145 32.2402l-59.2002 91.8564c13.0078 -2 25.9678 -4.41602 38.624 -7.75977 c103.232 -27.04 187.393 -96.8643 236.4 -191.568c46.3203 -89.5195 55.0244 -191.695 24.4805 -287.728c-30.5117 -96.0479 -96.6553 -174.448 -186.175 -220.816c-15.2324 -7.8877 -21.168 -26.6074 -13.2803 -41.8711 c5.51953 -10.6396 16.3359 -16.7676 27.5996 -16.7676c4.7998 0 9.66406 1.12012 14.2725 3.48828c104.272 53.9355 181.248 145.279 216.816 257.119c35.5361 111.904 25.3926 230.929 -28.5743 335.152z"/></g>
    </Icon>
);

export default SlRefresh;
